if exists("b:current_syntax")
    finish
endif

syntax keyword pcdKeyword func
syntax keyword pcdKeyword if then else while for switch case and
syntax keyword pcdKeyword break until end default return exec do in
syntax keyword pcdKeyword print break fetch exclude def from as alloc unalloc using catch
syntax keyword pcdKeyword pcode start stop
syntax keyword pcdKeyword int vd chr str stat flt db tab const long
syntax keyword pcdKeyword global local

syntax keyword pcdKeyword pcdver

highlight link pcdKeyword Keyword
highlight link pcdFunction Function

syntax match pcdOperator "\v\="
syntax match pcdOperator "\v\*"
syntax match pcdOperator "\v/"
syntax match pcdOperator "\v\+"
syntax match pcdOperator "\v-"
syntax match pcdOperator "\v\?"
syntax match pcdOperator "\v\*\="
syntax match pcdOperator "\v/\="
syntax match pcdOperator "\v\+\="
syntax match pcdOperator "\v-\="
syntax match pcdOperator "\v\!\="

highlight link pcdOperator Operator

syntax region pcdString start=/\v"/ skip=/\v\\./ end=/\v"/
syntax region pcdString start=/\v'/ skip=/\v\\./ end=/\v'/
highlight link pcdString String

syntax match pcdComment "\v//.*$"
highlight link pcdComment Comment

let b:current_syntax = "pcd"
