if exists("b:current_syntax")
    finish
endif

syntax keyword phKeyword func
syntax keyword phKeyword if then else while for switch case
syntax keyword phKeyword break until end default return exec
syntax keyword phKeyword print break fetch def from alloc unalloc
syntax keyword phKeyword head start stop
syntax keyword phKeyword int chr vd stat flt db tab

syntax keyword phKeyword phver

highlight link phKeyword Keyword
highlight link phFunction Function

syntax match phOperator "\v\="
syntax match phOperator "\v\*"
syntax match phOperator "\v/"
syntax match phOperator "\v\+"
syntax match phOperator "\v-"
syntax match phOperator "\v\?"
syntax match phOperator "\v\*\="
syntax match phOperator "\v/\="
syntax match phOperator "\v\+\="
syntax match phOperator "\v-\="

highlight link phOperator Operator

syntax region phString start=/\v"/ skip=/\v\\./ end=/\v"/
syntax region phString start=/\v'/ skip=/\v\\./ end=/\v'/
highlight link phString String

syntax match phComment "\v//.*$"
highlight link phComment Comment

let b:current_syntax = "ph"
